Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.cmp.jdbc
Class RelationData

    java.lang.Object
      org.jboss.ejb.plugins.cmp.jdbc.RelationData

public final class RelationData
extends Object

This class holds data about one relationship. It maintains a lists of which relations have been added and removed. When the transaction is committed these list are retrieved and used to update the relation table.

Version:
  $Revision: 1.8 $
Author:
  Dain Sundstrom

Field Summary
`Set` | `addedRelations`
`Set` | `notRelatedPairs`
`Set` | `removedRelations`

Constructor Summary
`RelationData(JDBCCMRFieldBridge leftCMRField, JDBCCMRFieldBridge rightCMRField)`

Method Summary
`void` | `addRelation(JDBCCMRFieldBridge leftCMRField, Object leftId, JDBCCMRFieldBridge rightCMRField, Object rightId)`
`JDBCCMRFieldBridge` | `getLeftCMRField()`
`JDBCCMRFieldBridge` | `getRightCMRField()`
`boolean` | `isDirty()`
`void` | `removeRelation(JDBCCMRFieldBridge leftCMRField, Object leftId, JDBCCMRFieldBridge rightCMRField, Object rightId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### addedRelations

    public final Set addedRelations

### removedRelations

    public final Set removedRelations

### notRelatedPairs

    public final Set notRelatedPairs

Constructor Detail

### RelationData

    public RelationData(JDBCCMRFieldBridge leftCMRField,
                        JDBCCMRFieldBridge rightCMRField)

Method Detail

### getLeftCMRField

    public JDBCCMRFieldBridge getLeftCMRField()

### getRightCMRField

    public JDBCCMRFieldBridge getRightCMRField()

### addRelation

    public void addRelation(JDBCCMRFieldBridge leftCMRField,
                            Object leftId,
                            JDBCCMRFieldBridge rightCMRField,
                            Object rightId)

### removeRelation

    public void removeRelation(JDBCCMRFieldBridge leftCMRField,
                               Object leftId,
                               JDBCCMRFieldBridge rightCMRField,
                               Object rightId)

### isDirty

    public boolean isDirty()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.